Debian Bug report logs - #547642
ITA: pgtcl -- Tcl client library binding for PostgreSQL

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Pitt <mpitt@debian.org>

Date: Mon, 21 Sep 2009 10:45:03 UTC

Owned by: Mark Hindley <mark@hindley.org.uk>

Severity: normal

Fixed in version pgtcl/1:1.9+git20120911-1

Done: Mark Hindley <mark@hindley.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#547642; Package pgtcl. (Mon, 21 Sep 2009 10:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
New Bug report received and forwarded. (Mon, 21 Sep 2009 10:45:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Debian BTS Submit <submit@bugs.debian.org>
Cc: Mark Hindley <mark@hindley.org.uk>
Subject: O: pgtcl -- Tcl client library binding for PostgreSQL
Date: Mon, 21 Sep 2009 12:04:13 +0200
[Message part 1 (text/plain, inline)]
Package: pgtcl
Severity: normal

I have never used pgtcl (and not Tcl itself either), and just earned
the package in the ancient days when the amalgated postgresql Debian
orig.tar.gz was split into their proper upstream projects and source
packages again.

It has ultra-low popcon, just one reverse dependency (pfm), and zero
bugs, and didn't get an upload in years. There is a new upstream
version which needs packaging and testing.

I will do an upload now to orphan the package and bump standards
version and debhelper compat, but won't otherwise do any work on this.

Mark, as maintainer of pfm, are you interested in adopting pgtcl to
see whether it still actually works, etc.?

Thanks,

Martin

Package: libpgtcl1.5
Description: Tcl client library binding for PostgreSQL
 This library provides Tcl bindings to the PostgreSQL client library (libpq),
 which is used to communicate with the PostgreSQL database server.
 .
 PostgreSQL is an object-relational SQL database management system.
 Tcl is a widely used and easily extended interpreted language.
Tag: devel::lang:sql, role::shared-lib, works-with::db


-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'pgtcl' to 'wnpp'. Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Mon, 21 Sep 2009 12:33:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: pgtcl -- Tcl client library binding for PostgreSQL' from 'O: pgtcl -- Tcl client library binding for PostgreSQL' Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.debian.org. (Fri, 18 Jan 2013 18:06:05 GMT) Full text and rfc822 format available.

Owner recorded as Mark Hindley <mark@hindley.org.uk>. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.debian.org. (Fri, 18 Jan 2013 18:06:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 19:06:02 GMT) Full text and rfc822 format available.

Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Fri, 15 Feb 2013 21:03:11 GMT) Full text and rfc822 format available.

Notification sent to Martin Pitt <mpitt@debian.org>:
Bug acknowledged by developer. (Fri, 15 Feb 2013 21:03:11 GMT) Full text and rfc822 format available.

Message #18 received at 547642-close@bugs.debian.org (full text, mbox):

From: Mark Hindley <mark@hindley.org.uk>
To: 547642-close@bugs.debian.org
Subject: Bug#547642: fixed in pgtcl 1:1.9+git20120911-1
Date: Fri, 15 Feb 2013 21:00:06 +0000
Source: pgtcl
Source-Version: 1:1.9+git20120911-1

We believe that the bug you reported is fixed in the latest version of
pgtcl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 547642@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hindley <mark@hindley.org.uk> (supplier of updated pgtcl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 26 Jan 2013 13:51:05 +0000
Source: pgtcl
Binary: libpgtcl libpgtcl-dev
Architecture: source amd64
Version: 1:1.9+git20120911-1
Distribution: unstable
Urgency: low
Maintainer: Mark Hindley <mark@hindley.org.uk>
Changed-By: Mark Hindley <mark@hindley.org.uk>
Description: 
 libpgtcl   - Tcl client library binding for PostgreSQL
 libpgtcl-dev - Tcl client library binding for PostgreSQL - development files
Closes: 547642
Changes: 
 pgtcl (1:1.9+git20120911-1) unstable; urgency=low
 .
   * New upstream version 1.9.
   * Rename binary runtime package to libpgtcl (Conflicts and Replaces
     libpgtcl1.5).
   * Remove patches 01_fix_configure_syntax as fixed upstream.
   * Remove patch 03_honour-ldflags as relro hardening is now picked up
     correctly from LDFLAGS.
   * Call dh_clean in debian/rules clean:: target to prevent debhelper.log
     files appearing in the source tarball and associated lintian warning.
 .
 pgtcl (1:1.5-7) unstable; urgency=low
 .
   * New maintainer (closes: #547642).
   * Update to standards version 3.9.3 (no changes).
   * Fix lintian warnings:
      - Include BSD licence directly rather than linking to
     /usr/share/common-licenses/BSD/
      - Harden build with fortify functions and link with relro.
Checksums-Sha1: 
 38eaf1bc1193170d0f26b86d5d7910589a8d0bfd 1872 pgtcl_1.9+git20120911-1.dsc
 96878a64d449c396736ba21cd52bd52c44627602 503432 pgtcl_1.9+git20120911.orig.tar.gz
 e4442449e1e58c5c15548a190ffff3bc63fb7e11 3901 pgtcl_1.9+git20120911-1.debian.tar.gz
 667fa575d4bfaa2749fa520428100b712c6fcf5f 44110 libpgtcl_1.9+git20120911-1_amd64.deb
 8716c7288fd4d78f9ba7ebb97683785f348265c9 158216 libpgtcl-dev_1.9+git20120911-1_amd64.deb
Checksums-Sha256: 
 e0761b86a9b52daa9b0644d59a40b273db53bb0db00eed968468e641e1aaeb99 1872 pgtcl_1.9+git20120911-1.dsc
 260fe5670d69080d9bac2589940825bd41a71c31e9e825033c5582e75e77b75c 503432 pgtcl_1.9+git20120911.orig.tar.gz
 bbb86eea2d46eb62bf05c393f1603bc79bbcfa47bf8b24bbbc3a2474636383ba 3901 pgtcl_1.9+git20120911-1.debian.tar.gz
 cca44d1902d1226342d00a2b96d11abb4965c88282db5ff288b323662f70773b 44110 libpgtcl_1.9+git20120911-1_amd64.deb
 33504d5e024180e3e9bafbb4a6bab5d2d6705d6c4ea83d0a935070b3c29b785d 158216 libpgtcl-dev_1.9+git20120911-1_amd64.deb
Files: 
 d1134bbb2e3f87efb9e6257ce12c79ee 1872 libs optional pgtcl_1.9+git20120911-1.dsc
 fe01d08ffbf75d02c20fb16360971251 503432 libs optional pgtcl_1.9+git20120911.orig.tar.gz
 463fdac90c3253bfe19d3183166c9fbd 3901 libs optional pgtcl_1.9+git20120911-1.debian.tar.gz
 24cb9c74123878bc0868085b39288193 44110 libs optional libpgtcl_1.9+git20120911-1_amd64.deb
 21504413075e307186ea500d422c68d8 158216 libdevel optional libpgtcl-dev_1.9+git20120911-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRA+srAAoJEPmIJawmtHufBPgP/iAMW58u5BXux2Fu0hQUCtug
g+sb/HrW3CI7C5IxsdLVTQzAdVONXgLQ0Mhk8S1JlfOLKKcq+R+65ckG16l6DojW
MDAU2nEbaoRkypKjWXr94c+8G4hjzzg8GZ/+jdSIXkHtpq1inzmg7BG6JuyPzawW
VFGRpkaZdmsYsC2z5gYNrpTAaNdEwoXJl7lUmXm5/iqnYD0xCE4UKNUzxBKfrlBc
lDgh03RH0iNtwPoqzPki62qE6T9gftVImEtPfgE1xhOj9lATn/LTP65zyoXAzkVH
EkSDufPWABvVHm5RyVHdFP0mUfUcH4DfpzPbWujRWl15Ad1sAlZWRy/WShC7J5Ny
cdwiv5RIxPLbyvFESz6XfxediNWn3nEa8JCiQUa+lWeDQTsC+IluLyywjBzVfe7t
ov0ZjswmWbRrvNWtm64tXI0YT4aMjP907wPYFiAKUdJqzn8XmZVErONL0jfOf7B9
VT6GV6QXCKoXOKVAhcHAeomsx2lXRE6cW+aI7JiyT+yRMDTpFO1cNESkK9dkiyUh
NQjjqOVzOAJpFeiFDIakCaenU2BsexGGpp/4j3PEHvz9MCfajM+VOOybz9tqh7TN
Oxg6JCEONbQ7XgRf4xQ5yHhbObfK1q0KTJe4Bub57r33sAulB5F0I8b++FEfp7ZM
8EQXbGo3PVeiH9XlBh2g
=bIvO
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Mar 2013 07:27:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:21:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.